from scikits.eartho.io.ingest import *
from scikits.eartho.io.bandrw import *
#from scikits.eartho.io.rasterrw import *
from scikits.eartho.io.query import *
import scikits.eartho.gcp.finder as gcpfinder
import PIL.Image
import sys
import numpy as np

# Progress
def progress(message, n, total):
    print message

# Ingestion
iFilename = IngestOneFile(sys.argv[1], "/tmp/out.pix", progress)

# 5Bands
band0 = BandReaderWriter(iFilename, 0)
band1 = BandReaderWriter(iFilename, 1)
band2 = BandReaderWriter(iFilename, 2)
#band3 = BandReaderWriter(iFilename, 3)
#band4 = BandReaderWriter(iFilename, 4)

#q= SpatialQuery(band0,  0, 0 , 100, 100)
#print q.result


image, offsetX, offsetY = band2.spectPart.ReadNextTile()

result = gcpfinder.FindGcps(image, 5, 0, 20,20, 400)

print result[2]
print '%d GCPs found' % result[3]

count = result[3]
x = result[0]
y = result[1]

for i in range(0,count):
  image[x[i], y[i]] = 10000000

PIL.Image.fromarray(image.astype(int)).save('/tmp/image.png')




